%define release 2mdk
%define version 2.0.2
%define name junkbuster

Summary: The Internet Junkbuster v2.0.2
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ijb20.tar.bz2
Source1: misc-junkbuster-stuff.tar.bz2
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Group: Networking/Other
URL: http://www.waldherr.org/junkbuster/
Packager: Stefan Waldherr <stefan@waldherr.org>
Obsoletes: junkbuster-raw junkbuster-blank
Prereq: chkconfig

%description
The Internet Junkbuster (TM) blocks unwanted banner ads and protects
your privacy from cookies and other threats. It's free under the GPL
(no warranty), runs under *NIX and works with almost any browser. You
need to clear you browser's cache and specify the proxy-server,
described in /usr/doc/junkbuster.  This is a modified version which
returns a blank GIF for blocked images by default.  But you can
configure this via /etc/junkbuster/config.

%prep

%setup -n ijb20 -a 1

cp -rf swa/* .
#cp -f swa/Makefile .
#cp -f swa/jcc.c .
#cp -f swa/jcc.h .
#cp -f swa/loaders.c .
#cp -f swa/filters.c .
#cp -f swa/manfile.patch .
#cp -f swa/blocklist .
#cp -f swa/imagelist .
#cp -f swa/cookiefile .
#cp -f swa/config .
#cp -f swa/forward .
#cp -f swa/README.TOO .
#cp -f swa/squid.txt .
#cp -f swa/junkbstr.ini .
#cp -f swa/junkbuster.weekly .
#cp -f swa/junkbuster.monthly .
#cp -f swa/junkbuster.logrotate .
patch < manfile.patch

%build

export DISTNAME='\"%PACKAGE_NAME-%PACKAGE_VERSION-%PACKAGE_RELEASE\"'
export DISTURL='\"%PACKAGE_URL\"'
make MORE_CFLAGS="$RPM_OPT_FLAGS"' -D_DISTNAME="$(DISTNAME)" -D_DISTURL="$(DISTURL)"'
make
strip junkbuster

%pre
if [ -f /etc/rc.d/init.d/junkbuster.init ]; then
        /etc/rc.d/init.d/junkbuster.init stop
fi
if [ -f /etc/rc.d/init.d/junkbuster ]; then
        /etc/rc.d/init.d/junkbuster stop
fi
rm -f /usr/local/bin/junkbuster
rm -f /usr/local/man/man1/junkbuster.1

if test -d /var/log/junkbuster
then
	mv -f /var/log/junkbuster /var/log/junkbuster.rpmorig
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{var/log/junkbuster,usr/{sbin,man/man8},etc/{junkbuster,logrotate.d,cron.weekly,cron.monthly,rc.d/{init.d,rc{0,1,2,3,5,6}.d}}}
install -s -m 755 junkbuster $RPM_BUILD_ROOT/usr/sbin/junkbuster
cp -f junkbuster.1 $RPM_BUILD_ROOT/usr/man/man8/junkbuster.8
cp -f blocklist $RPM_BUILD_ROOT/etc/junkbuster/blocklist
cp -f imagelist $RPM_BUILD_ROOT/etc/junkbuster/imagelist
cp -f cookiefile $RPM_BUILD_ROOT/etc/junkbuster/cookiefile
cp -f saclfile.ini $RPM_BUILD_ROOT/etc/junkbuster/aclfile
cp -f config $RPM_BUILD_ROOT/etc/junkbuster/config
cp -f forward $RPM_BUILD_ROOT/etc/junkbuster/forward
cp -f strust.ini $RPM_BUILD_ROOT/etc/junkbuster/trust
cp -f junkbuster.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/junkbuster
cp -f swa/README.TOO .
cp -f swa/squid.txt .

install -m 755 swa/junkbuster.init $RPM_BUILD_ROOT/etc/rc.d/init.d/junkbuster
install -m 755 -d $RPM_BUILD_ROOT/var/log/junkbuster

ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K09junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S84junkbuster
ln -sf ../init.d/junkbuster $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K09junkbuster

%preun
if [ -f /etc/rc.d/init.d/junkbuster.init ]; then
        /etc/rc.d/init.d/junkbuster.init stop
fi
if [ -f /etc/rc.d/init.d/junkbuster ]; then
        /etc/rc.d/init.d/junkbuster stop
fi

%post
cat << EOT >&2

Now you'll need to start junkbuster with 

	/etc/rc.d/init.d/junkbuster start

or simply reboot; It will be started automatically at boot time. 
Don't forget to add the proxy stuff in Netscape.

EOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ijbfaq.html ijbman.html README README.TOO gpl.html 
%doc squid.txt junkbuster.weekly junkbuster.monthly
/var/log/junkbuster
%dir /etc/junkbuster
%config /etc/junkbuster/*
%config /etc/logrotate.d/junkbuster
/usr/sbin/*
/usr/man/man8/*
%config /etc/rc.d/init.d/junkbuster
%config(missingok) /etc/rc.d/rc0.d/K09junkbuster
%config(missingok) /etc/rc.d/rc1.d/K09junkbuster
%config(missingok) /etc/rc.d/rc2.d/K09junkbuster
%config(missingok) /etc/rc.d/rc3.d/S84junkbuster
%config(missingok) /etc/rc.d/rc5.d/S84junkbuster
%config(missingok) /etc/rc.d/rc6.d/K09junkbuster


%changelog
* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- fix group
- fix permission on sources

* Thu Mar 02 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sun Sep 12 1999 Stefan Waldherr <stefan@waldherr.org>
       Jan Willamowius (jan@janhh.shnet.org) fixed a bug in the 
       code which prevented the JB from handling URLs of the form
       user:password@www.foo.com. Fixed.

* Mon Aug  2 1999 Stefan Waldherr <stefan@waldherr.org>
	Blank images are no longer cached, thanks to a hint from Markus 
        Breitenbach <breitenb@rbg.informatik.tu-darmstadt.de>. The user 
        agent is NO longer set by the Junkbuster. Sadly, many sites depend 
        on the correct browser version nowadays. Incorporated many 
	suggestions from Jan "Yenya" Kasprzak <kas@fi.muni.cz> for the
        spec file. Fixed logging problem and since runlevel 2 does not 
        use networking, I replaced /etc/rc.d/rc2.d/S84junkbuster with
        /etc/rc.d/rc2.d/K09junkbuster thanks to Shaw Walker 
        <walker@netgate.net>. You should now be able to build this RPM as 
        a non-root user (mathias@weidner.sem.lipsia.de).

* Sun Jan 31 1999 Stefan Waldherr <stefan@waldherr.org>
	/var/log/junkbuster set to nobody. Added /etc/junkbuster/imagelist
	to allow more sophisticated matching of blocked images. Logrotate
	logfile. Added files for auto-updating the blocklist et al.

* Wed Dec 16 1998 Stefan Waldherr <stefan@waldherr.org>
	Configure blank version via config file. No separate blank
	version anymore. Added Roland's <roland@spinnaker.rhein.de>
	patch to show a logo instead of a blank area. Added a suggestion
	from Alex <alex@cocoa.demon.co.uk>: /var/lock/subsys/junkbuster.
	More regexps in the blocklist. Prepared the forwardfile for
	squid. Extended image regexp with help from gabriel 
	<somlo@CS.ColoState.EDU>.

* Thu Nov 19 1998 Stefan Waldherr <stefan@waldherr.org>
	All RPMs now identify themselves in the show-proxy-args page.
	Released Windoze version. Run junkbuster as nobody instead of
	root. 

* Fri Oct 30 1998 Stefan Waldherr <stefan@waldherr.org>
	Newest version. First release (hence the little version number
	mixture -- 2.0.2-0 instead of 2.0-7). This version tightens 
	security over 2.0.1; some multi-user sites will need to change 
	the listen-address in the configuration file. The blank version of
        the Internet Junkbuster has a more sophisticated way of replacing
	images. All RPMs identify themselves in the show-proxy-args page.

* Thu Sep 23 1998 Stefan Waldherr <stefan@waldherr.org>
	Modified the blocking feature, so that only GIFs and JPEGs are
	blocked and replaced but not HTML pages. Thanks to 
	"Gerd Flender" <plgerd@informatik.uni-siegen.de> for this nice
	idea. Added numerous stuff to the blocklist. Keep patches in
        seperate files and no longer in diffs (easier to maintain).

* Tue Jun 16 1998 Stefan Waldherr <swa@cs.cmu.edu>
        Moved config files to /etc/junkbuster directory, moved man page,
	added BuildRoot directive (Thanks to Alexey Nogin <ayn2@cornell.edu>)
        Made new version junkbuster-raw (which is only a stripped version of 
        the junkuster rpm, i.e. without my blocklist, etc.)

* Tue Jun 16 1998 (2.0-1)
	Uhm, not that much. Just a new junkbuster version that
	fixes a couple of bugs ... and of course a bigger 
	blocklist with the unique Now-less-ads-than-ever(SM)
	feature.
	Oh, one thing: I changed the default user agent to Linux -- no 
	need anymore to support Apple.

* Tue Jun 16 1998 (2.0-0)
	Now-less-ads-than-ever (SM)
	compiled with gcc instead of cc
	compiled with -O3, thus it should be a little faster
	show-proxy-args now works
	/etc/junkbuster.init wasn't necessary

* Tue Jun 16 1998 (1.4)
	some more config files were put into /etc
	The junkbuster-blank rpm returns a 1x1 pixel image, that gets 
	displayed by Netscape instead of the blocked image.
	Read http://www.waldherr.org/junkbuster/ for
	further info.

* Tue Jun 16 1998 (1.3)
	The program has been moved to /usr/sbin (from /usr/local/bin)
	Init- and stopscripts (/etc/rc.d/rc*) have been added so
	that the junkbuster starts automatically during bootup.
	The /etc/blocklist file is much more sophisticated. Theoretically
	one should e.g. browse all major US and German newspapers without
	seeing one annoying ad.
	junkbuster.init was modified. It now starts junkbuster with an
	additional "-r @" flag.
